Remove Users from an Identity Domain (v1)
Deletes the identity domain accounts identified in an ANSI or UTF-8 encoded CSV file that was uploaded to the environment. Before running this command, use the Upload REST API to upload the file. The file format is as follows:
User Login
jane.doe@example.com
jdoe@example.comThis API should be run only by Service Administrators who are also assigned to the Identity Domain Administrator role in the identity domain from which users are to be removed. The CSV file should not include the account of the user who executes this command. Because user accounts are common to all service environments that an Identity Domain Administrator supports, deleting an account for one environment deletes it for all environments that share the Identity Domain Administrator. With this API, you can see which records failed and the reason why they failed in addition to how many records passed and failed.
The API is asynchronous and returns the Job ID. The presence of status -1 in the response indicates that the removal of users is in progress. Use the job status URI to determine whether the removal of users is complete. Any non-zero status except -1 indicates failure of removing users.
Required Roles
Identity Domain Administrator and any predefined role (Service Administrator, Power User, User, or Viewer)
REST Resource
DELETE
/interop/rest/security/<api_version>/users?filename=<filename>
Table 13-8 Tasks for Remove Users from an Identity Domain
| Task | Request | REST Resource |
|---|---|---|
| Remove users | DELETE | /interop/rest/security/<api_version>/users?filename=<filename> |
| Remove users status | GET | /interop/rest/security/<api_version>/jobs/ |
Request
Supported Media Types: application/x-www-form-urlencoded
Table 13-9 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
filename |
The name of the uploaded ANSI or UTF-8 encoded CSV file name of a CSV file containing the login names of the users to be removed, for example, |
Query | Yes | None |
Response
Supported Media Types: application/json
Table 13-10 Parameters
| Name | Description |
|---|---|
details |
In the case of errors, details are published with the error string |
status |
See Migration Status Codes |
links |
Detailed information about the link |
href |
Links to API call or status API |
action |
The HTTP call type |
rel |
Possible values: self or Job Status. If the value is set to Job Status, you can use the href to get the status
|
data |
Parameters as key value pairs passed in the request |
items |
Details about the resource |
links |
Details of the first URL to be requested to get the job details; rel is "Job Details" |
Examples of Response Body
Example 1: Job is in Progress
{
"links": [
{
"rel": "self",
"href": "https://<BASE-URL>/interop/rest/security/<api_version>/users?filename=<filename>",
"data": {
"jobType": "REMOVE_USERS",
"filename": "<filename>"
},
"action": "DELETE"
},
{
"rel": "Job Status",
"href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/",
"data": null,
"action": "GET"
}
],
"details": null,
"status": -1,
"items": null
}
Example 2: Job Completes with Errors
{
"links": [
{
"rel": "self",
"href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/",
"data": null,
"action": "GET"
}
],
"details": "Failed to remove users. Input file <filename> is not found. Specify a valid file name.",
"status": 1,
"items": null
}
Example 3: Job Completes without Errors
{
"links": [
{
"rel": "self",
"href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/",
"data": null,
"action": "GET"
}
],
"details": "Processed - 3, Succeeded - 1, Failed - 2.",
"status": 0,
"items": [
{
"UserName":"<USERNAME>","Error_Details": "User <USERNAME> is not found. Verify that the user exists."
},
}
Sample cURL Command Basic Auth
curl -X DELETE -s -u '<USERNAME>:<PASSWORD>' -H 'Content-Type: application/x-www-form-urlencoded' 'https://<BASE-URL>/interop/rest/security/v1/users?filename=removeUsers.csv'
Sample cURL Command OAuth 2.0
curl -X DELETE --header "Authorization: Bearer <OAUTH_ACCESS_TOKEN>" -H 'Content-Type: application/x-www-form-urlencoded' 'https://<BASE-URL>/interop/rest/security/v1/users?filename=removeUsers.csv'